Subject: Re: bug#50154: [Rmail]: Cannot save attachments from decryped email

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Aug 2021 12:49:38 +0300

> Date: Sat, 21 Aug 2021 20:27:17 +0000
> From:  Ariel Costas via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> When I receive an unencrypted email on my inbox and view it through
> Rmail, I get the option to save the file.
> 
>      [1:text/plain Show]
> 
>      [2:image/jpeg Show Save:My_attachment.jpg (400kB)]
> 
> However, when I receive an encrypted message, and decrypt it with `M-x
> rmail-epa-decrypt`, I get to see the plaintext of all the email, with
> the multipart/mixed Content-Type, the email's body and then another part
> with the attachment as base64, without an option to save it to my disk.

Could you please add more details to your report?

First, which version of Emacs is that?  If it isn't Emacs 28 from the
master branch of the Emacs Git repository, could you please try the
latest master and see if the problem persists?

And second, rmail-epa-decrypt should ask whether to replace the
original message -- did it ask, and if it did, what was your answer to
that question?

Thanks.